Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.testing.transportlayer.peerreview
Class PRNonconform2

    java.lang.Object
      org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest
          org.mpisws.p2p.testing.transportlayer.peerreview.PRNonconform2

    public class PRNonconform2

extends PRRegressionTest

Alice deviates from the protocol by sending a message that's different from the one she is supposed to send. Expectation: After the first audit, Alice is exposed by everyone. (PROOF_CONFORMANCE)

Author:
  Jeff Hoye

Field Summary

Fields inherited from class org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest
`EMPTY_ARRAY, recordedStatus`

Constructor Summary
`PRNonconform2()`

Method Summary
`void` | `finish()`
`org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.BogusApp` | `getBogusApp(org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.Player player, PeerReview<org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.HandleImpl,org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.IdImpl> pr, Environment env)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest
`addStatusNotification, buildCryptoMaterial, buildPlayers, getIdStrTranslator, getPeerReview, setLoggingParams, setupWitnesses`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PRNonconform2

    public PRNonconform2()
                  throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### finish

    public void finish()

  Overrides:
    `finish` in class `PRRegressionTest`

### getBogusApp

    public org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.BogusApp getBogusApp(org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.Player player,
                                                                                                  PeerReview<org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.HandleImpl,org.mpisws.p2p.testing.transportlayer.peerreview.PRRegressionTest.IdImpl> pr,
                                                                                                  Environment env)

  Overrides:
    `getBogusApp` in class `PRRegressionTest`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.